package com.clx.performance.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.msl.common.config.KeyColumn;
import com.msl.common.model.HasKey;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;


/**
 * @author liruixin
 * Date 2023-09-19
 * Time 13:25
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("order_child_pound_audit")
public class OrderChildPoundAudit implements HasKey<Integer> {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("child_no")
    @ApiModelProperty("运单编号")
    private String childNo;

    @TableField("status")
    @ApiModelProperty("审核状态")
    private Integer status;

    @TableField("reject_type")
    @ApiModelProperty("审核驳回类型：1装车 2卸车 3装车+卸车")
    private Integer rejectType;

    @TableField("remark")
    @ApiModelProperty("备注")
    private String remark;

    @TableField("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @TableField("modified_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime modifiedTime;

    @Override
    @KeyColumn("id")
    public Integer gainKey() {
    return this.id;
    }
}
